/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"long_char.h"

int l_strcmp(L_CHAR * str1,L_CHAR * str2)
{
int a,b;
	for ( ; (*str1) && (*str2) ; str1++ , str2++ ) {
		a = *str1;
		b = *str2;
		if ( a > b )
			return 1;
		if ( a < b )
			return -1;
	}
	if ( *str1 == 0 && *str2 == 0 )
		return 0;
	if ( *str1 )
		return 1;
	return -1;
}
